export
class

  BaseService

### Hierarchy

- BaseService
  - MovieService

## Index

### Constructors

- constructor

### Properties

- app
- baseUrl
- jsonOptions
- jsonService
- methodReturns
- methods
- showError
- showProgress
- testMode
- baseUrls

### Methods

- ajax
- encodeData
- invoke
- parseHeaders
- sendResult

## Constructors

### constructor

- new BaseService(app: App, jsonService: JsonService): BaseService

- - Defined in src/services/http/RestService.ts:398

  #### Parameters

  - ##### app: App

  - ##### jsonService: JsonService

  #### Returns BaseService

## Properties

### Protected app

app: App

- Defined in src/services/http/RestService.ts:401

### baseUrl

baseUrl: string

- Defined in src/services/http/RestService.ts:384

### jsonOptions

jsonOptions: IJsonParserOptions = null

- Defined in src/services/http/RestService.ts:398

### jsonService

jsonService: JsonService

- Defined in src/services/http/RestService.ts:402

### methodReturns

methodReturns: any

- Defined in src/services/http/RestService.ts:396

### methods

methods: any

- Defined in src/services/http/RestService.ts:394

### showError

showError: boolean = false

- Defined in src/services/http/RestService.ts:390

### showProgress

showProgress: boolean = true

- Defined in src/services/http/RestService.ts:388

### testMode

testMode: boolean = false

- Defined in src/services/http/RestService.ts:386

### Static baseUrls

baseUrls: object

- Defined in src/services/http/RestService.ts:382

#### Type declaration

- ##### [key: string]: string

## Methods

### Protected ajax

- ajax(url: string, options: AjaxOptions): Promise<AjaxOptions>

- - Defined in src/services/http/RestService.ts:612

  #### Parameters

  - ##### url: string

  - ##### options: AjaxOptions

  #### Returns Promise<AjaxOptions>

### Protected encodeData

- encodeData(o: AjaxOptions): AjaxOptions

- - Defined in src/services/http/RestService.ts:409

  #### Parameters

  - ##### o: AjaxOptions

  #### Returns AjaxOptions

### Protected invoke

- invoke(url: string, method: string, bag: ServiceParameter[], values: any[], methodOptions: IMethodOptions): Promise<any>

- - Defined in src/services/http/RestService.ts:430

  #### Parameters

  - ##### url: string

  - ##### method: string

  - ##### bag: ServiceParameter[]

  - ##### values: any[]

  - ##### methodOptions: IMethodOptions

  #### Returns Promise<any>

### Protected parseHeaders

- parseHeaders(headers: string | any): IHttpHeaders

- - Defined in src/services/http/RestService.ts:599

  #### Parameters

  - ##### headers: string | any

  #### Returns IHttpHeaders

### Protected sendResult

- sendResult(result: any, error?: any): Promise<any>

- - Defined in src/services/http/RestService.ts:416

  #### Parameters

  - ##### result: any

  - ##### Optional error: any

  #### Returns Promise<any>

Generated using TypeDoc